JUCE: OpenGLPixelFormat Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
OpenGLPixelFormat Class Reference
juce_opengl » opengl

Represents the various properties of an OpenGL pixel format. More...

`#include <juce_OpenGLPixelFormat.h>`

## Public Member Functions
| OpenGLPixelFormat (int bitsPerRGBComponent=8, int alphaBits=8, int depthBufferBits=16, int stencilBufferBits=0) noexcept
| Creates an OpenGLPixelFormat.
bool | operator== (const OpenGLPixelFormat &) const noexcept
bool | operator!= (const OpenGLPixelFormat &) const noexcept

## Public Attributes
int | redBits
| The number of bits per pixel to use for the red channel.
int | greenBits
| The number of bits per pixel to use for the green channel.
int | blueBits
| The number of bits per pixel to use for the blue channel.
int | alphaBits
| The number of bits per pixel to use for the alpha channel.
int | depthBufferBits
| The number of bits per pixel to use for a depth buffer.
int | stencilBufferBits
| The number of bits per pixel to use for a stencil buffer.
int | accumulationBufferRedBits
| The number of bits per pixel to use for an accumulation buffer's red channel.
int | accumulationBufferGreenBits
| The number of bits per pixel to use for an accumulation buffer's green channel.
int | accumulationBufferBlueBits
| The number of bits per pixel to use for an accumulation buffer's blue channel.
int | accumulationBufferAlphaBits
| The number of bits per pixel to use for an accumulation buffer's alpha channel.
uint8 | multisamplingLevel
| The number of samples to use for full-scene multisampled anti-aliasing (if available).

## Detailed Description

Represents the various properties of an OpenGL pixel format.

See also
  OpenGLContext::setPixelFormat

## Constructor & Destructor Documentation

## ◆ OpenGLPixelFormat()

OpenGLPixelFormat::OpenGLPixelFormat | ( | int | bitsPerRGBComponent = `8`,
|  | int | alphaBits = `8`,
|  | int | depthBufferBits = `16`,
|  | int | stencilBufferBits = `0`
| ) |  |
| noexcept

Creates an OpenGLPixelFormat.

The default constructor just initialises the object as a simple 8-bit RGBA format.

## Member Function Documentation

## ◆ operator==()

bool OpenGLPixelFormat::operator== | ( | const OpenGLPixelFormat & |  | ) | const
| noexcept

## ◆ operator!=()

bool OpenGLPixelFormat::operator!= | ( | const OpenGLPixelFormat & |  | ) | const
| noexcept

## Member Data Documentation

## ◆ redBits

int OpenGLPixelFormat::redBits

The number of bits per pixel to use for the red channel.

## ◆ greenBits

int OpenGLPixelFormat::greenBits

The number of bits per pixel to use for the green channel.

## ◆ blueBits

int OpenGLPixelFormat::blueBits

The number of bits per pixel to use for the blue channel.

## ◆ alphaBits

int OpenGLPixelFormat::alphaBits

The number of bits per pixel to use for the alpha channel.

## ◆ depthBufferBits

int OpenGLPixelFormat::depthBufferBits

The number of bits per pixel to use for a depth buffer.

## ◆ stencilBufferBits

int OpenGLPixelFormat::stencilBufferBits

The number of bits per pixel to use for a stencil buffer.

## ◆ accumulationBufferRedBits

int OpenGLPixelFormat::accumulationBufferRedBits

The number of bits per pixel to use for an accumulation buffer's red channel.

## ◆ accumulationBufferGreenBits

int OpenGLPixelFormat::accumulationBufferGreenBits

The number of bits per pixel to use for an accumulation buffer's green channel.

## ◆ accumulationBufferBlueBits

int OpenGLPixelFormat::accumulationBufferBlueBits

The number of bits per pixel to use for an accumulation buffer's blue channel.

## ◆ accumulationBufferAlphaBits

int OpenGLPixelFormat::accumulationBufferAlphaBits

The number of bits per pixel to use for an accumulation buffer's alpha channel.

## ◆ multisamplingLevel

uint8 OpenGLPixelFormat::multisamplingLevel

The number of samples to use for full-scene multisampled anti-aliasing (if available).

The documentation for this class was generated from the following file:

- juce_OpenGLPixelFormat.h